Get the box's owner
GET
/owner
const url = 'http://127.0.0.1:7700/api/owner';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://127.0.0.1:7700/api/owner \ --header 'Authorization: Bearer <token>'Preview. On a GurtOS Personal box, the owner’s Linux user, uid and home folder. On a Server box, null.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The owner, or null.
GurtOS is open source under the Apache License 2.0.Source code on GitHub.